2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Use
	  delegation methods.

2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Track API
	  changes.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs:
	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Track
	  API changes.

2010-07-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: fixed
	  unit tests.

2010-07-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Fixed
	  'Bug 621658 - Parameter hints disappear afterkeystroke'.

2010-07-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.addin.xml: Fix XML parser
	  availability.

2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.addin.xml:
	* MonoDevelop.XmlEditor/XmlDocumentParser.cs: Track
	  ProjectDomService/Parser API.

2010-07-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/Parser.cs:
	* MonoDevelop.Xml.StateEngine/XmlNameState.cs:
	* MonoDevelop.Xml.StateEngine/XmlAttributeState.cs:
	* MonoDevelop.Xml.StateEngine/XmlClosingTagState.cs: Better
	  errors.

	* MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs:
	  Newlines are valid in attributes,

2010-07-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Track
	  API changes.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor/XmlEditorService.cs: Clean up dialog
	  placement.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Fix
	  failing test by making sure that OnParsedDocumentUpdated is
	  called when the file is first loaded, and moving all the new
	  parsed document logic handling there.

2010-05-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Xml.Formatting/XmlFormattingPolicyPanelWidget.cs:
	  Fix translation error.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs:
	* MonoDevelop.XmlEditor.Completion/XmlCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlTagCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/IXmlCompletionProvider.cs:
	* MonoDevelop.XmlEditor.Completion/XmlSchemaCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/EmptyXmlCompletionProvider.cs:
	* MonoDevelop.XmlEditor.Completion/XmlCompletionDataCollection.cs:
	* MonoDevelop.XmlEditor.Completion/InferredXmlCompletionProvider.cs:
	* MonoDevelop.XmlEditor.Completion/XmlMultipleClosingTagCompletionData.cs:
	  Track API changes.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Xml.Formatting/MonoXmlPolicy.xml: Added
	  attribute to explicitly allow differential serialization for
	  a policy (which is disabled by default).

2010-04-30  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.XmlEditor.Gui/XmlEditorOptionsPanel.cs:
	* MonoDevelop.XmlEditor.Gui/XmlEditorOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.XmlEditor.Gui.XmlEditorOptionsPanelWidget.cs:
	  Added GUI for the 'auto insert punctuation' option.

	* Makefile.am:
	* MonoDevelop.XmlEditor.csproj:
	* MonoDevelop.XmlEditor/XmlEditorOptions.cs:
	* MonoDevelop.XmlEditor/XmlEditorAddInOptions.cs: Renamed
	  file.

	* MonoDevelop.Xml.Formatting/XmlFormatterWriter.cs: Spelling.

	* MonoDevelop.XmlEditor.addin.xml: Move panel from Style
	  section to Behavior.

2010-04-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs:
	* MonoDevelop.XmlEditor.Completion/XmlCompletionData.cs: Add
	  settings to stop inserting snippets like ="" and />.

	* MonoDevelop.XmlEditor/XmlSchemaManager.cs:
	* MonoDevelop.XmlEditor/XmlFileExtensions.cs:
	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanel.cs:
	* MonoDevelop.XmlEditor/XmlEditorAddInOptions.cs:
	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs:
	* MonoDevelop.XmlEditor.Gui/XmlEditorOptionsPanel.cs:
	  Reorganized the XML editor settings.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor.Completion/XmlCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlTagCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlMultipleClosingTagCompletionData.cs:
	  Track API changes.

2010-04-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Free up
	  wasted space between scrollbars and treeview contents.

2010-04-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor/XmlFormatter.cs:
	* MonoDevelop.Xml.Formatting/XmlFormatter.cs:
	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Track
	  API changes.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.XmlEditor.addin.xml: Bumped MD version.

2010-03-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.XmlEditor.csproj:
	* MonoDevelop.XmlEditor.addin.xml:
	* MonoDevelop.XmlEditor/XmlEditorService.cs:
	* MonoDevelop.Xml.Formatting/XmlFormatter.cs:
	* MonoDevelop.Xml.Formatting/MonoXmlPolicy.xml:
	* MonoDevelop.Xml.Formatting/XmlFormatterWriter.cs:
	* MonoDevelop.Xml.Formatting/XmlFormattingPolicy.cs:
	* MonoDevelop.Xml.Formatting/XmlFormattingPolicyPanel.cs:
	* MonoDevelop.Xml.Formatting/XmlFormattingPolicyPanelWidget.cs:
	* gtk-gui/MonoDevelop.Xml.Formatting.XmlFormattingPolicyPanelWidget.cs:
	  New xml formatting policy.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.XmlEditor.csproj:
	* MonoDevelop.XmlEditor.addin.xml:
	* MonoDevelop.XmlEditor/Commands.cs:
	* MonoDevelop.XmlEditor/XmlFormatter.cs:
	* MonoDevelop.XmlEditor/XmlEditorView.cs:
	* MonoDevelop.XmlEditor/XmlEditorService.cs:
	* MonoDevelop.Xml.Formatting/XmlFormatter.cs:
	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanel.cs:
	* MonoDevelop.XmlEditor/XmlEditorCommandBase.cs:
	* MonoDevelop.XmlEditor/XmlEditorViewContent.cs:
	* MonoDevelop.XmlEditor/OpenStylesheetCommand.cs:
	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs:
	* MonoDevelop.XmlEditor.XPath/XPathQueryWidget.cs:
	* MonoDevelop.XmlEditor/XmlCompletionListWindow.cs:
	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanelWidget.cs:
	* MonoDevelop.XmlEditor.Gui/XmlEditorOptionsPanel.cs:
	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs:
	* MonoDevelop.XmlEditor.Completion/XmlCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlTagCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/IXmlCompletionProvider.cs:
	* MonoDevelop.XmlEditor.Completion/XmlSchemaCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/EmptyXmlCompletionProvider.cs:
	* MonoDevelop.XmlEditor.Completion/XmlCompletionDataCollection.cs:
	* MonoDevelop.XmlEditor.Completion/InferredXmlCompletionProvider.cs:
	* MonoDevelop.XmlEditor.Completion/XmlSchemaCompletionDataCollection.cs:
	* MonoDevelop.XmlEditor.Completion/XmlMultipleClosingTagCompletionData.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-03-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.csproj: Don't local-copy project refs,
	  as it duplicates assemblies and breaks running on .NET.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor.Completion/XmlCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlTagCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlMultipleClosingTagCompletionData.cs:
	  Track api changes.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs:
	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: File
	  extensions are now declared in the node metadata.

2010-02-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.XmlEditor.csproj: Add missing indirect
	  reference.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.XmlEditor.Gui.XmlSchemasPanelWidget.cs:
	* gtk-gui/MonoDevelop.XmlEditor.Gui.XmlEditorOptionsPanelWidget.cs:
	  Flush.

2010-01-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor.Completion/XmlCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlTagCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlMultipleClosingTagCompletionData.cs:
	  Track API changes.

2010-01-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor/XmlFormatter.cs: Track api changes.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.XmlEditor.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor/XmlEditorService.cs:
	* MonoDevelop.Xml.Formatting/XmlFormatterWriter.cs:
	* MonoDevelop.XmlEditor.Completion/XmlSchemaCompletionData.cs:
	  Fix warnings.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.XmlEditor.Gui.XmlSchemasPanelWidget.cs:
	* gtk-gui/MonoDevelop.XmlEditor.Gui.XmlEditorOptionsPanelWidget.cs:
	  Flush.

2009-10-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Fixed 'Bug
	  549703 - Customised XML file extensions are no longer
	  syntax-highlighted'.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.XmlEditor.csproj: Use \ instead of '/'
	in the Import.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.XmlEditor.csproj: Add md.targets .

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.XmlEditor.addin.xml: Bump MD version.

2009-10-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.csproj:
	* MonoDevelop.XmlEditor.addin.xml:
	* MonoDevelop.XmlEditor/Commands.cs:
	* MonoDevelop.XmlEditor/XmlParser.cs:
	* MonoDevelop.XmlEditor/XmlNamespace.cs:
	* MonoDevelop.XmlEditor/QualifiedName.cs:
	* MonoDevelop.XmlEditor/XmlElementPath.cs:
	* MonoDevelop.XmlEditor/XmlEditorService.cs:
	* MonoDevelop.XmlEditor/XmlSchemaManager.cs:
	* MonoDevelop.XmlEditor/XmlFileExtensions.cs:
	* MonoDevelop.XmlEditor.XPath/XPathQueryPad.cs:
	* MonoDevelop.XmlEditor/EncodedStringWriter.cs:
	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanel.cs:
	* MonoDevelop.XmlEditor.XPath/XPathNodeMatch.cs:
	* MonoDevelop.XmlEditor/XmlFileExtensionNode.cs:
	* MonoDevelop.XmlEditor/XmlSchemaAssociation.cs:
	* MonoDevelop.XmlEditor/DeclarationViewWindow.cs:
	* MonoDevelop.XmlEditor/XmlEditorAddInOptions.cs:
	* MonoDevelop.XmlEditor/OpenStylesheetCommand.cs:
	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs:
	* MonoDevelop.XmlEditor.XPath/XPathQueryWidget.cs:
	* MonoDevelop.XmlEditor.XPath/XPathHistoryList.cs:
	* MonoDevelop.XmlEditor/QualifiedNameCollection.cs:
	* MonoDevelop.XmlEditor/OpenXPathQueryPadCommand.cs:
	* MonoDevelop.XmlEditor.XPath/XPathNamespaceList.cs:
	* MonoDevelop.XmlEditor.Gui/XmlEditorOptionsPanel.cs:
	* MonoDevelop.XmlEditor.XPath/XPathNodeTextMarker.cs:
	* MonoDevelop.XmlEditor.XPath/XPathQueryPadOptions.cs:
	* MonoDevelop.XmlEditor.Completion/XmlCompletionData.cs:
	* MonoDevelop.XmlEditor/RemoveXPathHighlightingCommand.cs:
	* MonoDevelop.XmlEditor.Completion/XmlSchemaCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlCompletionDataCollection.cs:
	* MonoDevelop.XmlEditor.Completion/XmlSchemaCompletionDataCollection.cs:
	  Changed license to MIT/X11.

	* gtk-gui/gui.stetic: Flush.

2009-10-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.XmlEditor.csproj:
	* MonoDevelop.Xml.Formatting/XmlChar.cs:
	* MonoDevelop.Xml.Formatting/XmlFormatterWriter.cs: Remove
	  duplicate imported XmlChar file.

2009-10-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Use
	  ordinal comparer.

2009-10-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* Icons/XPathQueryPad.png:
	* MonoDevelop.XmlEditor.csproj:
	* MonoDevelop.XmlEditor.addin.xml: Remove icon of unknown
	  provenance.

2009-10-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs:
	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Tweak
	  API so classes can return completion lists instead of
	  modifying one they're given.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Xml.Formatting:
	* MonoDevelop.XmlEditor.csproj:
	* MonoDevelop.Xml.Formatting/XmlChar.cs:
	* MonoDevelop.Xml.Formatting/XmlFormatter.cs:
	* MonoDevelop.Xml.Formatting/XmlFormatterWriter.cs:
	* MonoDevelop.Xml.Formatting/XmlFormattingPolicy.cs: Added a
	  more advanced xml formatter, which is not yet being used.

2009-09-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs:
	* MonoDevelop.XmlEditor.Completion/XmlTagCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlMultipleClosingTagCompletionData.cs:
	  Track API changes.

2009-09-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor/XmlFormatter.cs: Track API changes.

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs:
	  Implemented 'Bug 537682 - It would be great if I could just
	  type bar '/' to close any tag as <foo />...'.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor.csproj: Updated dependencies. We now
	  depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor/XmlEditorService.cs:
	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Track api
	  changes.

2009-07-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor/XmlFormatter.cs: Don't crash when
	  trying to format malformed xml.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor/XmlFormatter.cs:
	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Use the new
	  DesktopService instead of PlatformService.

2009-06-22  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.XmlEditor.csproj:
	* MonoDevelop.XmlEditor.addin.xml:
	* MonoDevelop.XmlEditor/XmlFormatter.cs: Implemented a simple
	  XML formatter.

2009-06-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs: Fix
	  build.

2009-06-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs:
	  Newlines are technically valid in attribute values. Only
	  emit a warning, not an error.

2009-05-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XmlClosingTagState.cs: Improve
	  an error message.

2009-05-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs: Break
	  on newlines. Better error reporting.

	* MonoDevelop.Xml.StateEngine/XmlTagState.cs: Better error
	  reporting.

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor/DeclarationViewWindow.cs: Updated
	  declaration view from MonoDevelop.Projects.Gui

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.XmlEditor.csproj: don't require specific
	gtk-sharp version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.XmlEditor.addin.xml: Bump MD version.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor/XmlDocumentParser.cs: Track API
	  changes.

2009-03-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.csproj: Don't local-copy project refs.

2009-03-13  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* XmlEditor.glade: Making some strings not translatable.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor.csproj: Moved text editor to core

2009-03-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XmlDocTypeState.cs: Don't
	  capture quotes.

2009-03-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Track
	  doctype parsing changes. Fix jumping to selections.

	* MonoDevelop.Xml.StateEngine/XDom.cs:
	* MonoDevelop.Xml.StateEngine/XmlDocTypeState.cs: XDocType now
	  captures root element, URI, FPI, and the internal
	  declaration region. Fixes Bug 481897 - xml can't be parsed.

	* MonoDevelop.Xml.StateEngine/XmlParsedDocument.cs: Fold large
	  DocTypes.

	* gtk-gui/gui.stetic: Flush.

2009-02-27  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.XmlEditor.csproj:
	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs:
	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs:
	* MonoDevelop.XmlEditor.Completion/InferredXmlCompletionProvider.cs:
	  Add support for very simplistic inferred XML completion when
	  a schema isn't present.

2009-02-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanelWidget.cs: Make
	  column headers translatable.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs: Don't
	  end attribute values on > character.

2009-02-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XmlTagState.cs:
	* MonoDevelop.Xml.StateEngine/XmlAttributeState.cs:
	* MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs:
	  Improve error handling.

2009-02-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor/XmlDocumentParser.cs: Fix logic error
	  that caused NRE with empty documents.

2009-02-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Use Pad
	  font.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.csproj: Local-copy schemas.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.csproj: Nuke another project reference
	  local copy.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.csproj: Exorcise more unwanted local
	  copy.

2009-02-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs:
	* MonoDevelop.XmlEditor.Completion/XmlSchemaCompletionData.cs:
	  Fixed compiler warnings.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor.mds:
	* MonoDevelop.XmlEditor.mdp:
	* MonoDevelop.XmlEditor.csproj: Migrated to MSBuild file
	  format.

2009-02-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Fix
	  duplicated ':' when completing incompletely parsed names
	  for the path bar.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.XmlEditor.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.XmlEditor.mdp:
	* gtk-gui/MonoDevelop.XmlEditor.Gui.XmlSchemasPanelWidget.cs:
	*
	  gtk-gui/MonoDevelop.XmlEditor.Gui.XmlEditorOptionsPanelWidget.cs:
	  Flush.

2009-02-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Completion/XmlCompletionData.cs:
	  Don't use an IActionCompletionData, just generate the
	  completion text as needed and use | as a caret marker.
	  Fixes Bug 471681 - xml tag completion not working.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.mdp: Flush project format changes.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Add closing tag
	completion to all XML docs.

2009-01-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Don't define DEBUG, as heavy use of Debug.Assert was
	slowing down the XML text editor noticeably.

2009-01-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.XmlEditor.mdp: Add missing reference.

2008-12-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Fix cursor
	position after autocompleting end tags.

2008-12-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.addin.xml:
	* MonoDevelop.XmlEditor/XmlDocumentParser.cs: Added a parser for XML
	files. Enables folding and error underlining.

	* Makefile.am:
	* MonoDevelop.XmlEditor.mdp: Updated.

	* MonoDevelop.XmlEditor/SourceViewTextIterator.cs:
	* MonoDevelop.XmlEditor.Completion/XmlCompletionDataProvider.cs:
	* MonoDevelop.XmlEditor.Completion/ClosingBracketCompletionDataProvider.cs:
	Removed, no longer used.

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Port to subclass the
	BaseXmlEditorExtension instead of the custom XML parser. Improves
	completion and triggering, and adds outline and path bar support.
	There may be a few minor regressions in namespace resolution and the
	goto schema command, and performance needs work.

2008-12-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Moved
	outline-building code from MoonlightEditorExtension to be the default
	implementation in BaseXmlEditorExtension, since it works with any
	XmlParsedDocument.  Fix GetCompleteName so it handles prefixes, and
	expose it as protected.  Add some simple entity completion support. 
	Implement support for automatic closing tags via a protected flag.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor.mdp:
	* Tests/MonoDevelop.XmlEditor.Tests.mdp: All projects now require fx
	3.5.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs:
	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Track api
	changes.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XmlFreeState.cs: Improve error reporting.

2008-11-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XmlTagState.cs: Remove multiple root
	element validation from here because it's not easy to override.

2008-11-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.XmlEditor.mdp: Add reference required for building.

2008-11-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.XmlEditor.mdp: Add glib dep.

2008-11-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Add
	AddMiscBeginTags member that adds begin tags for comments and CData.

2008-11-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/Parser.cs: Log an error region instead of
	a line/col location when possible.

2008-11-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/Parser.cs: Add overloads for logging with
	more accurate locations.

	* MonoDevelop.Xml.StateEngine/XmlTagState.cs: Remove unused code.

2008-11-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XDom.cs: Add a Value property to XDocType.

	* MonoDevelop.Xml.StateEngine/XmlDocTypeState.cs: Copture the doctype
	string when in tree mode.

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Copture doctype
	from the ParsedDocument if it's an XmlParsedDocument. Add utility
	GetBufferText method.

2008-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XDom.cs: Avoid possible NRE in
	ToUpper/ToLower.

2008-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.XmlEditor.mdp: Updated.

	* MonoDevelop.Xml.StateEngine/XmlParsedDocument.cs: Moved
	MoonlightParsedDocument to XmlParsedDocument in the Xml addin.

2008-11-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XDom.cs: Add ToUpper/ToLower methods on
	XName.

	* MonoDevelop.Xml.StateEngine/XmlClosingTagState.cs: Fixed bug that
	popped unmatched opening nodes when not in tree mode. Fixes exception
	in path bar when closing tags outnumber opening tags.

2008-11-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Fix build.

2008-11-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Show code
	templates for forced completion in free space. Fix accidental leak of
	attribute name triggering into free space.

2008-11-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Track fix in text
	editor's completion line/col indexing. It's now 1-indexed, as it
	should be.

2008-11-07  Eric Butler  <eric@extremeboredom.net>
	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Don't explode
	in Timeout callback if the BaseXmlEditorExtension was disposed.

2008-11-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs:
	* MonoDevelop.XmlEditor.Completion/XmlMultipleClosingTagCompletionData.cs:
	Add additional closing elements to the completion list for all parent
	elements, that also close all intermediate elements.

	* Makefile.am:
	* MonoDevelop.XmlEditor.mdp: Updated.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build dependencies.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor.addin.xml: Bump MD version.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Added new helper
	method.

2008-10-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XDom.cs:
	* MonoDevelop.Xml.StateEngine/Parser.cs:
	* MonoDevelop.Xml.StateEngine/XmlTagState.cs:
	* MonoDevelop.Xml.StateEngine/XmlCDataState.cs:
	* MonoDevelop.Xml.StateEngine/XmlDocTypeState.cs:
	* MonoDevelop.Xml.StateEngine/XmlCommentState.cs:
	* MonoDevelop.Xml.StateEngine/XmlAttributeState.cs:
	* MonoDevelop.Xml.StateEngine/XmlClosingTagState.cs:
	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs:
	* MonoDevelop.Xml.StateEngine/XmlProcessingInstructionState.cs: Changed
	Xml StateEngine from offset-based positions to line/column positions.

2008-10-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XDom.cs: Fix recursive enumerables. Fix
	bug that prevented tree being built.

	* MonoDevelop.Xml.StateEngine/Parser.cs: Make line, col accessible.
	Write out errors in debug string.

2008-10-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Xml.StateEngine/XmlTagState.cs: Catch multiple root nodes.

	* MonoDevelop.Xml.StateEngine/XDom.cs: Add field to XDocument for root
	node. Add some element-enumerating methods to XElement. Rename
	RecursiveNodes to AllDescendentNodes.

	* MonoDevelop.Xml.StateEngine/Parser.cs: Track line/col so we can use
	the same error class as MonoDevelop.Projects.Dom.

2008-10-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Don't try to create
	completion list when the array of source elements is null. Fixes
	exception in XML editor.

2008-10-21  Ryan Bair  <ryandbair@gmail.com>

	* MonoDevelop.XmlEditor.Completion/ClosingBracketCompletionDataProvider.cs:
	  Capture full name of opening tag. Don't read back past an end bracket.

2008-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Move updating of
	state engine so that subclasses don't have to do it.

2008-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Implement
	attribute value completion and attribute completion.

2008-10-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: Move more code
	here from the ASP.NET completion extension.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs:
	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs:
	* MonoDevelop.XmlEditor.Completion/XmlSchemaCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlCompletionDataProvider.cs:
	* MonoDevelop.XmlEditor.Completion/ClosingBracketCompletionDataProvider.cs:
	Track APIs.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs:
	* MonoDevelop.XmlEditor.Completion/XmlCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlTagCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlCompletionDataCollection.cs: Track
	CompletionData API.

2008-10-08  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic: Add event and property for accessing errors.

2008-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.XmlEditor.Completion/XmlCompletionData.cs:
	* MonoDevelop.XmlEditor.Completion/XmlTagCompletionData.cs: Track API.

2008-10-03  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor.Gui/BaseXmlEditorExtension.cs: New base class
	  containing common XML completion code from the
	  AspNetEditorExtension.
	* Makefile.am, MonoDevelop.XmlEditor.mdp: Updated.
	* MonoDevelop.Xml.StateEngine/Parser2.cs: Remove unused parser.

2008-09-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.XmlEditor.Completion/XmlCompletionData.cs,
	  MonoDevelop.XmlEditor.Completion/XmlTagCompletionData.cs:
	  implemented IComparable <ICompletionData>

2008-09-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.XmlEditor.addin.xml: Set an id to the xml editor
	  extension.

2008-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.XmlEditor.Completion/XmlCompletionDataProvider.cs,
	  MonoDevelop.XmlEditor.Completion/ClosingBracketCompletionDataProvider.cs:
	  Track api changes.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Tests/MonoDevelop.XmlEditor.Tests.mdp, gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.XmlEditor.Gui.XmlEditorOptionsPanelWidget.cs,
	  gtk-gui/MonoDevelop.XmlEditor.Gui.XmlSchemasPanelWidget.cs: Updated
	  generated code.

2008-08-26  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlChar.cs,
	  MonoDevelop.Xml.StateEngine/XmlNameState.cs, Makefile.am,
	  MonoDevelop.XmlEditor.mdp: Use Mono's System.Xml.XmlChar to check
	  whether name chars are valid for XML.

2008-08-20  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs,
	  MonoDevelop.Xml.StateEngine/XmlFreeState.cs: Replace C#3 automatic
	  properties into C# 2 properties. Fixes build on Mono < 1.9. Thanks
	  to Joshua Simmons for the patch.

2008-08-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeState.cs: Break up
	  attribute value states.
	* MonoDevelop.Xml.StateEngine/Parser.cs: Attach parser state to
	  exceptions.

2008-07-31  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeState.cs: Use a
	  MalformedTagState for recovery.
	* MonoDevelop.Xml.StateEngine/XmlCommentState.cs,
	  MonoDevelop.Xml.StateEngine/XmlDocTypeState.cs,
	  MonoDevelop.Xml.StateEngine/XmlCDataState.cs,
	  MonoDevelop.Xml.StateEngine/XmlProcessingInstructionState.cs:
	  Insert nodes when state begins (instead of end) so that we can use
	  them in paths.
	* MonoDevelop.Xml.StateEngine/Parser.cs: Track previous state.
	* MonoDevelop.Xml.StateEngine/XDom.cs: Add support for getting a
	  "friendly" representation of the node for a user-visible path.

2008-07-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlClosingTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlCommentState.cs,
	  MonoDevelop.Xml.StateEngine/XmlMalformedTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlNameState.cs: Move towards making
	  the MalformedTagState more replaceable, so that handling of
	  unexpected '<' can be intercepted.
	* MonoDevelop.Xml.StateEngine/XmlCDataState.cs,
	  MonoDevelop.Xml.StateEngine/XmlProcessingInstructionState.cs:
	  Tidying up.

2008-07-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlMalformedTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlDocTypeState.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlProcessingInstructionState.cs,
	  MonoDevelop.Xml.StateEngine/XmlNameState.cs,
	  MonoDevelop.Xml.StateEngine/XmlFreeState.cs,
	  MonoDevelop.Xml.StateEngine/XmlClosingTagState.cs,
	  MonoDevelop.Xml.StateEngine/State.cs,
	  MonoDevelop.Xml.StateEngine/Parser.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeState.cs,
	  MonoDevelop.Xml.StateEngine/XmlCDataState.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs,
	  MonoDevelop.Xml.StateEngine/XmlCommentState.cs: API change to allow
	  more that one character of rollback.

2008-07-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlParser.cs,
	  MonoDevelop.Xml.StateEngine/Parser2.cs,
	  MonoDevelop.Xml.StateEngine/XState.cs, MonoDevelop.XmlEditor.mdp:
	  Yet another parser that may be easier to extend to handle comments
	  and expressions in arbitrary locations. Builds the same DOM as the
	  existing one. Incomplete, and disabled for now.

2008-07-29  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/Parser.cs: Don't allow EndAll to close
	  XDocument.
	* MonoDevelop.Xml.StateEngine/XmlFreeState.cs: Add a const for
	  overriding nodes to know what StateTag values they can use.
	* MonoDevelop.Xml.StateEngine/XmlAttributeState.cs: Operate on any
	  IAttributedXObject.
	* MonoDevelop.Xml.StateEngine/XDom.cs: Abstract out objects with
	  attributes via IAttributedXObject interface.

2008-07-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlFreeState.cs: Improve reset on <.
	  Expose state tag consts for subclasses to use.
	* MonoDevelop.Xml.StateEngine/XDom.cs: Rename AttributeCollection to
	  XAttributeCollection.

2008-07-24  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/Parser.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlMalformedTagState.cs: Make sure that
	  bad nodes are attached, ended and popped when we recover.

2008-07-24  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/Parser.cs: Copy the stringbuilder when
	  cloning the parser.

2008-07-23  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlClosingTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagState.cs: Fix start locations.
	* MonoDevelop.Xml.StateEngine/Parser.cs,
	  MonoDevelop.Xml.StateEngine/XDom.cs: Make it possible to clone
	  parser and switch it into tree mode. Some general cloning fixes.

2008-07-23  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlClosingTagState.cs,
	  MonoDevelop.Xml.StateEngine/State.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs,
	  MonoDevelop.Xml.StateEngine/XmlCommentState.cs,
	  MonoDevelop.Xml.StateEngine/XmlMalformedTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeState.cs,
	  MonoDevelop.Xml.StateEngine/XmlDocTypeState.cs,
	  MonoDevelop.Xml.StateEngine/Parser.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlCDataState.cs,
	  MonoDevelop.Xml.StateEngine/XmlProcessingInstructionState.cs,
	  MonoDevelop.Xml.StateEngine/XmlNameState.cs,
	  MonoDevelop.Xml.StateEngine/XmlFreeState.cs: New XML parser.
	  Currently only used (in subclassed form) by ASP.NET code completion
	  engine.
	* MonoDevelop.Xml.StateEngine/CDataState.cs,
	  MonoDevelop.Xml.StateEngine/XmlSpecialTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagNameState.cs: Removed/renamed.
	* MonoDevelop.Xml.StateEngine/XDom.cs: Minimalistic XML DOM used by new
	  XML parser. Modelled after System.Xml.Linq
	* gtk-gui/objects.xml, Makefile.am, MonoDevelop.XmlEditor.mdp: Updated.

2008-06-26  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/Parser.cs: Remove debug code.
	* MonoDevelop.Xml.StateEngine/XDom.cs: Implement a new lightweight XML
	  DOM somewhat modelled after the LINQ-to-XML DOM, but designed to
	  ignore all content. It's intended to mark the location, name and
	  type of tags in a text buffer, and should be able to be extended to
	  be used with HTML and ASP.NET.
	* Makefile.am, MonoDevelop.XmlEditor.mdp: Updated.

2008-06-26  Michael Hutchinson  <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/Parser.cs: Remove reference to work-in-
	  progress code.

2008-06-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/Parser.cs,
	  MonoDevelop.Xml.StateEngine/XmlClosingTagState.cs,
	  MonoDevelop.Xml.StateEngine/CDataState.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlSpecialTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagNameState.cs,
	  MonoDevelop.Xml.StateEngine/State.cs,
	  MonoDevelop.Xml.StateEngine/XmlProcessingInstructionState.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs,
	  MonoDevelop.Xml.StateEngine/XmlFreeState.cs,
	  MonoDevelop.Xml.StateEngine/XmlCommentState.cs,
	  MonoDevelop.Xml.StateEngine/XmlMalformedTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeState.cs: Rework stack
	  cloning and character rejection mechanisms in XML/ASP state engine.

2008-06-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.XmlEditor.mds: Don't build editor tests by default.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.XmlEditor.addin.xml, MonoDevelop.XmlEditor.mds: Bump MD
	  version.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.XmlEditor/XmlEditorService.cs: Use the OnDestroyed event
	  instead of Dispose, since with the latest changes in gtk#, Dispose
	  is not called anymore when a widget is destroyed.

2008-06-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.XmlEditor.mds: Some fixes in project files.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.XmlEditor/XmlEditorService.cs: Replaced
	  ICompilerResult/DefaultCompilerResult/CompilerResults by a new
	  BuildResult class, which has owner information at error level, so
	  it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.XmlEditor.mdp: New project model changes.

2008-05-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlSpecialTagState.cs: Fix opening of
	  CDATA tags.

2008-04-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/Parser.cs,
	  MonoDevelop.Xml.StateEngine/XmlClosingTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagNameState.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs,
	  MonoDevelop.Xml.StateEngine/XmlFreeState.cs,
	  MonoDevelop.Xml.StateEngine/XmlMalformedTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeState.cs: Make sure more
	  states have closing positions.

2008-04-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/Parser.cs,
	  MonoDevelop.Xml.StateEngine/XmlClosingTagState.cs,
	  MonoDevelop.Xml.StateEngine/CDataState.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlSpecialTagState.cs,
	  MonoDevelop.Xml.StateEngine/State.cs,
	  MonoDevelop.Xml.StateEngine/XmlProcessingInstructionState.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs,
	  MonoDevelop.Xml.StateEngine/XmlFreeState.cs,
	  MonoDevelop.Xml.StateEngine/XmlCommentState.cs,
	  MonoDevelop.Xml.StateEngine/XmlMalformedTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeState.cs: Change XML state
	  engine API to allow cloning a single node (as an alternative to the
	  whole stack).
	* MonoDevelop.Xml.StateEngine/XmlTagNameState.cs: Track API and fix
	  name closing logic.

2008-04-18  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlSpecialTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlProcessingInstructionState.cs: Add
	  support for processing instructions.
	* Makefile.am, MonoDevelop.XmlEditor.mdp: Updated.

2008-04-18  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeState.cs: Add convenience
	  members.
	* MonoDevelop.XmlEditor.mdp: Updated.

2008-04-17  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Xml.StateEngine/Parser.cs,
	  MonoDevelop.Xml.StateEngine/XmlClosingTagState.cs,
	  MonoDevelop.Xml.StateEngine/CDataState.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlSpecialTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlTagNameState.cs,
	  MonoDevelop.Xml.StateEngine/State.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeValueState.cs,
	  MonoDevelop.Xml.StateEngine/XmlFreeState.cs,
	  MonoDevelop.Xml.StateEngine/XmlCommentState.cs,
	  MonoDevelop.Xml.StateEngine/XmlMalformedTagState.cs,
	  MonoDevelop.Xml.StateEngine/XmlAttributeState.cs: Add new XML state
	  engine for triggering autocompletion and indentation in XML-like
	  languages.
	* Makefile.am, MonoDevelop.XmlEditor.mdp: Updated.

2008-04-16  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Track API change.
	  Remove char code translation hack.

2008-04-11  Michael Hutchinson <mhutchinson@novell.com>

	* Makefile.am: Depend on MonoDevelop.SourceEditor2.dll; its build number 
	  auto-increments, so whenever it changes, we need to rebuild this.

2008-04-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor.Completion/XmlTagCompletionData.cs,
	  MonoDevelop.XmlEditor.Completion/ClosingBracketCompletionDataProvider.cs:
	  Split the completion data class into a separated file and
	  generalised it a little.
	* MonoDevelop.XmlEditor.Completion/ILazilyLoadedProvider.cs,
	  MonoDevelop.XmlEditor.Completion/XmlSchemaCompletionData.cs: Rework
	  lazy loading, with forced advance-loading via an interface.
	* MonoDevelop.XmlEditor.Completion/EmptyXmlCompletionProvider.cs:
	  Implemented an empty completion provider.
	* Makefile.am, MonoDevelop.XmlEditor.mdp: Updated.

2008-04-03  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanelWidget.cs: Workaround bug in mono
	  1.2.4 where usings are ignored inside anonymous methods.

2008-04-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor.Completion/ClosingBracketCompletionDataProvider.cs,
	  MonoDevelop.XmlEditor/ClosingBracketCompletionDataProvider.cs:
	  Moved and made the data object public.
	* Makefile.am, MonoDevelop.XmlEditor.mdp: Updated.

2008-04-02  Michael Hutchinson  <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor.addin.xml: Bump version to 0.19 to match 
	  other addins. Fixes dependency resolution on Mono HEAD (but wasn't 
	  a problem on 1.9, not sure why).

2008-04-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanelWidget.cs, Makefile.am,
	  MonoDevelop.XmlEditor.mdp: Updated.
	* MonoDevelop.XmlEditor/XmlSchemaManager.cs,
	  MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Track namespace
	  changes.
	* MonoDevelop.XmlEditor/XmlSchemaCompletionDataCollection.cs,
	  MonoDevelop.XmlEditor/XmlCompletionData.cs,
	  MonoDevelop.XmlEditor/XmlCompletionDataProvider.cs,
	  MonoDevelop.XmlEditor/XmlCompletionDataCollection.cs,
	  MonoDevelop.XmlEditor/XmlSchemaCompletionData.cs: Moved to
	  MonoDevelop.XmlEditor.Completion namespace.
	* MonoDevelop.XmlEditor/XmlEditorService.cs: Track namespace changes.
	  Improve validation verbosity. Reduce use of deprecated APIs.
	* MonoDevelop.XmlEditor/XmlEditorWindow.cs: No longer needed.
	* MonoDevelop.XmlEditor.Completion/IXmlCompletionProvider.cs,
	  MonoDevelop.XmlEditor.Completion/XmlSchemaCompletionData.cs:
	  Factored out an interface so that XML completion doesn't explicitly
	  depend on xsd schemas. Added some alternate (namespaceless) lookups
	  that will be used for HTML completion in ASP.NET. Misc tidying.
	* MonoDevelop.XmlEditor.Completion/XmlCompletionDataProvider.cs,
	  MonoDevelop.XmlEditor.Completion/XmlCompletionDataCollection.cs,
	  MonoDevelop.XmlEditor.Completion/XmlSchemaCompletionDataCollection.cs:
	  Move and change namespace.
	* MonoDevelop.XmlEditor.Completion/XmlCompletionData.cs: Tidied up.

2008-03-28  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanelWidget.cs: Workaround for bug in
	  mono 1.2.4 where usings are ignored inside anonymous methods.

2008-03-27  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanelWidget.cs: Remove debug
	  code.
	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Re-enable syntax
	  highlighting.
	* gtk-gui/gui.stetic, Makefile.am, MonoDevelop.XmlEditor.addin.xml,
	  MonoDevelop.XmlEditor.mdp: Add SourceEditor2 dependency.

2008-03-27  Atsushi Enomoto  <atsushi@ximian.com>

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs : quick build fix.

2008-03-26  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: When using the
	  Mono.TextEditor/SourceEditor2 editor, enable XML syntax
	  highlighting for all user-registered XML filetypes.
	* MonoDevelop.XmlEditor/XmlSchemaCompletionDataCollection.cs: Oops, fix
	  null check that prevented access to full set of schemas.

2008-03-24  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Remove redundant
	  member. May fix some compilation errors.

2008-03-21  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanelWidget.cs: Workaround bug in mono
	  1.2.4 where usings are ignored inside anonymous methods.

2008-03-21  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: When
	  Document.FileName is null or empty, try using Document.Title.
	  Enables XML extension on dynamically created documents.
	* MonoDevelop.XmlEditor.addin.xml: Add back a menu separator.
	* MonoDevelop.XmlEditor/XmlEditorService.cs: Remove unused variable.

2008-03-20  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanelWidget.cs: Move dialog to
	  XmlEditorService.
	* MonoDevelop.XmlEditor/RunXslTransformCommand.cs,
	  MonoDevelop.XmlEditor/AssignStylesheetCommand.cs: Moved
	  implementation into XmlEditorService and XmlTextEditorExtension.
	* MonoDevelop.XmlEditor/ClosingBracketCompletionDataProvider.cs: Fix
	  previous character index.
	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Implement commands,
	  based on code from command classes.
	* MonoDevelop.XmlEditor/XmlEditorService.cs: Move more command
	  implementations to editor service and refactor heavily.
	* Makefile.am, MonoDevelop.XmlEditor.mdp: Updated.
	* MonoDevelop.XmlEditor.addin.xml: Enable most of the XML commands.

2008-03-20  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor/XmlSchemaManager.cs: Actually use merged schema
	  collection.
	* MonoDevelop.XmlEditor/XmlCompletionData.cs: Remove unnecessary
	  reference to inherited interface.
	* MonoDevelop.XmlEditor/GoToSchemaDefinitionCommand.cs,
	  MonoDevelop.XmlEditor/CreateSchemaCommand.cs,
	  MonoDevelop.XmlEditor/FormatXmlCommand.cs,
	  MonoDevelop.XmlEditor/ValidateXmlCommand.cs: Moved implementation
	  into XmlEditorService and XmlTextEditorExtension.
	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Implement XMl
	  commands, based on code from command classes.
	* MonoDevelop.XmlEditor/XmlSchemaCompletionDataCollection.cs: Add
	  IEnumerable implementation to merged collection.
	* MonoDevelop.XmlEditor/XmlEditorService.cs: Move much of command
	  implementations to editor service and refactor heavily.
	* Makefile.am, MonoDevelop.XmlEditor.mdp: Updated.

2008-03-19  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanelWidget.cs: Workaround bug in mono
	  1.2.4 where usings are ignored inside anonymous methods.

2008-03-19  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor/ClosingBracketCompletionDataProvider.cs,
	  MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Move bracket
	  autocompletion into a completion provider, so that the user can
	  escape bracket completion.
	* Makefile.am, MonoDevelop.XmlEditor.mdp: Updated.

2008-03-18  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor.mdp: Updated.
	* gtk-gui, gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.XmlEditor.Gui.XmlEditorOptionsPanelWidget.cs,
	  gtk-gui/gui.stetic,
	  gtk-gui/MonoDevelop.XmlEditor.Gui.XmlSchemasPanelWidget.cs,
	  gtk-gui/objects.xml: Add stetic-generated files.

2008-03-18  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor/XmlCompletionDataProvider.cs: Track API.

2008-03-18  Michael Hutchinson <mhutchinson@novell.com> 

	* schemas/MonoDevelopAddIn.xsd, schemas/manifest.xsd,
	  schemas/appconfig.xsd: Make XML valid, so the mime type is picked
	  up correctly.
	* MonoDevelop.XmlEditor.addin.xml, Makefile.am,
	  MonoDevelop.XmlEditor.mdp: Updated.
	* MonoDevelop.XmlEditor.Gui/XmlSchemasPanel.cs,
	  MonoDevelop.XmlEditor.Gui/XmlSchemasPanelWidget.cs: New UI for
	  schema and filetype settings. Now allows overriding built-in
	  schemas and defining additional handled filetypes.
	* MonoDevelop.XmlEditor.Gui/XmlEditorOptionsPanel.cs,
	  MonoDevelop.XmlEditor.Gui/XmlEditorOptionsPanelWidget.cs: New UI
	  using Stetic.
	* MonoDevelop.XmlEditor/SelectXmlSchemaDialog.cs,
	  MonoDevelop.XmlEditor/XslOutputViewContent.cs,
	  MonoDevelop.XmlEditor/XmlSchemasPanelWidget.cs,
	  MonoDevelop.XmlEditor/XmlEditorListWindow.cs: No longer needed.
	* MonoDevelop.XmlEditor/XmlSchemasPanel.cs,
	  MonoDevelop.XmlEditor/XmlEditorOptionsPanel.cs: Moved.
	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Track API.
	* MonoDevelop.XmlEditor/XmlSchemaManager.cs: Support overriding of
	  built-in schemas with user schemas.
	* MonoDevelop.XmlEditor/XmlSchemaCompletionDataCollection.cs: Use
	  generic collections. Separate completion functions into an
	  interface and implement a "merge" collection.
	* MonoDevelop.XmlEditor/XmlSchemaAssociation.cs: Use LowerInvariant for
	  extensions.
	* MonoDevelop.XmlEditor/XmlFileExtensions.cs: Use generics. Allow
	  adding xml file extensions.
	* MonoDevelop.XmlEditor/XmlEditorOptionsPanelWidget.cs: Replaced by
	  stetic version.
	* MonoDevelop.XmlEditor/XmlEditorAddInOptions.cs: Allow adding xml file
	  extensions.

2008-03-14  Michael Hutchinson <mhutchinson@novell.com> 

	* Makefile.am: fix install location of schemas.

2008-03-13  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor/XmlSchemaManager.cs: Make class static. Change
	  console messages to log messages.
	* MonoDevelop.XmlEditor/XmlCompletionData.cs: Port to use
	  IEditableTextBuffer rather than XmlEditorView.
	* MonoDevelop.XmlEditor/XmlCompletionDataProvider.cs: Track MD APIs.
	* MonoDevelop.XmlEditor/XmlTextEditorExtension.cs: Port code completion
	  functionality from XmlEditorView to a TextEditorExtension that will
	  work with all editors.
	* MonoDevelop.XmlEditor/XmlDisplayBinding.cs: Unneeded.
	* MonoDevelop.XmlEditor/XmlEditorService.cs: Replace
	  XmlEditorViewContent accessors with XmlTextEditorExtension
	  accessors (which won't do anything until I commit a MonoDevelop.Ide
	  patch). Also many cosmetic tweaks.
	* MonoDevelop.XmlEditor/XmlSchemaCompletionData.cs: Remove some
	  unnecessary instantiations.
	* MonoDevelop.XmlEditor/FormatXmlCommand.cs: Port to
	  IEditableTextBuffer. Make it operate on the selection if there is
	  one.
	* Makefile.am, MonoDevelop.XmlEditor.addin.xml,
	  MonoDevelop.XmlEditor.mdp: Disable all of the files and extensions
	  that are not yet ported. Remove the GtkSourceView and SourceEditor
	  dependencies.

2008-03-10  Michael Hutchinson  <mhutchinson@novell.com> 

	* Makefile.am:
	* MonoDevelop.XmlEditor.mds:
	* MonoDevelop.XmlEditor.mdp: Fix MonoDevelop project. 

2008-03-07  Michael Hutchinson  <mhutchinson@novell.com> 

        * MonoDevelop.XmlEditor/XmlSchemasPanel.cs:
        * MonoDevelop.XmlEditor/XmlEditorOptionsPanel.cs:
        * MonoDevelop.XmlEditor.addin.xml: Track options panel API changes. 

2008-03-06  Michael Hutchinson  <mhutchinson@novell.com> 

	* MonoDevelop.XmlEditor/Schemas: Move to schemas.
	* MonoDevelop.XmlEditor/schemas: Moved from Schemas.
	
	* Makefile.am: Fix build.
	
	* MonoDevelop.XmlEditor/RunXslTransformCommand.cs:
	* MonoDevelop.XmlEditor/XmlSchemasPanelWidget.cs:
	* MonoDevelop.XmlEditor/XmlEditorViewContent.cs:
	* MonoDevelop.XmlEditor/XmlEditorView.cs:
	* MonoDevelop.XmlEditor/CreateSchemaCommand.cs:
	* MonoDevelop.XmlEditor/XmlSchemasPanel.cs:
	* MonoDevelop.XmlEditor/XmlEditorService.cs:
	* MonoDevelop.XmlEditor/OpenStylesheetCommand.cs:
	* MonoDevelop.XmlEditor.addin.xml:
	Quick and dirty port to MD trunk and GtkSourceView 2, just to get 
	it working before I port it to a TextEditorExtension.

2008-03-06  Michael Hutchinson  <mhutchinson@novell.com> 

	* Makefile.am: Update for the trunk build system and file 
	  layout changes.

2007-09-13 21:18  mrward

	* trunk/configure.in,
	  trunk/src/MonoDevelop.XmlEditor.Tests/AssemblyInfo.cs,
	  trunk/src/MonoDevelop.XmlEditor/AssemblyInfo.cs,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionData.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorAddInOptions.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorService.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorView.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs: XML
	  Editor now compiles and works with MonoDevelop 0.15

2007-06-13 22:31  mrward

	* trunk/configure.in: Configure now checks the MonoDevelop version
	  is 0.14

2007-06-13 22:23  mrward

	* trunk/ChangeLog: Updated changelog ready for a snapshot release
	  0.4 that builds against MonoDevelop 0.14

2007-06-10 10:50  mrward

	* trunk/src/MonoDevelop.XmlEditor.Tests/CompletionData/XmlCompletionDataStringTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionData.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionListWindow.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorView.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorWindow.cs:
	  XmlCompletionData now implements the IActionCompletionData
	  interface. All xml completion is now done via the InsertAction
	  method.

2007-06-09 17:51  mrward

	* trunk/src/MonoDevelop.XmlEditor/XmlCompletionListWindow.cs: The
	  completion list window now selects the matching namespace during
	  namespace completion.

2007-06-09 17:03  mrward

	* trunk/src/MonoDevelop.XmlEditor/XmlCompletionListWindow.cs: The
	  completion list window now selects the matching list item when
	  the user types in a special xml character (e.g. colon).

2007-06-09 15:34  mrward

	* trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/AttributeGroupReferenceSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/AttributeReferenceSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/AttributeSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/AttributeTypeSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/ElementReferenceSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/ElementReferenceWithPrefixSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/ElementSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/ElementTypeSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/ElementTypeWithPrefixSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/GroupReferenceSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/GetSchemaFromFileNameTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor/GoToSchemaDefinitionCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/ICompletionData.cs,
	  trunk/src/MonoDevelop.XmlEditor/ICompletionDataProvider.cs,
	  trunk/src/MonoDevelop.XmlEditor/ICompletionWidget.cs,
	  trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionDataProvider.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionListWindow.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorListWindow.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorView.cs: Removed the
	  ICompletionData, ICompletionDataProvider and the
	  ICompletionWidget files. The XML editor now uses these interfaces
	  from MonoDevelop. The 0.14 MonoDevelop assemblies are now
	  referenced in the addin xml file.

2007-05-28 11:58  mrward

	* trunk/configure.in,
	  trunk/src/MonoDevelop.XmlEditor.Tests/AssemblyInfo.cs,
	  trunk/src/MonoDevelop.XmlEditor/AssemblyInfo.cs,
	  trunk/src/MonoDevelop.XmlEditor/CreateSchemaCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/FormatXmlCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/OpenXPathQueryPadCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorService.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlFileExtensionCodon.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlFileExtensionNode.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlFileExtensions.cs: XML Editor
	  can now be compiled against MonoDevelop revision 77999. Updated
	  MonoDevelop.XmlEditor.addin.xml so it uses the new format and
	  extension points. Fixed compilation errors due to namespace
	  changes in MonoDevelop and its use of Mono.Addins.

2007-04-08 19:04  mrward

	* trunk/src/MonoDevelop.XmlEditor.Tests/MimeTypeHandledTests.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/MonoDevelop.XmlEditor.Tests.mdp,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs: The XML
	  editor now supports the 'application/xml' mime type.

2007-04-08 18:46  mrward

	* trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs:
	  XmlEditorViewContent now implements the new ITextFile's GetCharAt
	  method.

2007-02-23 18:21  mrward

	* trunk/ChangeLog: Updated changelog ready for a snapshot release
	  0.3 that builds against MonoDevelop 0.13

2007-02-23 18:17  mrward

	* trunk/src/MonoDevelop.XmlEditor.Tests/AssemblyInfo.cs,
	  trunk/src/MonoDevelop.XmlEditor/AssemblyInfo.cs: Updated Xml
	  Editor addin assembly version to 0.3

2007-02-23 18:15  mrward

	* trunk/configure.in: Updated configure to check for MonoDevelop
	  0.13. Xml Editor addin version set to 0.3.

2007-02-23 17:43  mrward

	* trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml:
	  Renamed menu item to 'Go to Schema Definition' to be consistent
	  with MonoDevelop which has 'Go to' as two separate words.

2007-02-23 17:39  mrward

	* trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml:
	  Added missing addin dependencies to
	  MonoDevelop.XmlEditor.addin.xml file.

2007-02-19 18:35  mrward

	* trunk/src/MonoDevelop.XmlEditor.Tests/Parser/QualifiedNameTestFixture.cs:
	  Added unit test for QualifiedName.GetHashCode()

2007-02-19 18:31  mrward

	* trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml:
	  Updated the version number of the MonoDevelop dependencies to
	  0.13.0

2007-02-17 21:13  mrward

	* trunk/src/MonoDevelop.XmlEditor.Tests/MonoDevelop.XmlEditor.Tests.mdp,
	  trunk/src/MonoDevelop.XmlEditor.mds,
	  trunk/src/MonoDevelop.XmlEditor/ICompletionData.cs,
	  trunk/src/MonoDevelop.XmlEditor/ICompletionDataProvider.cs,
	  trunk/src/MonoDevelop.XmlEditor/ICompletionWidget.cs,
	  trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionListWindow.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorService.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorView.cs: Copied the
	  ICompletionData, ICompletionDataProvider and ICompletionWidget
	  interfaces into the XML Editor project from MonoDevelop 0.12. Due
	  to changes in the code completion infrastructure in the latest
	  version of MonoDevelop the XML Editor would not compile. The old
	  versions of the completion interfaces have been used as an
	  interim fix before attempting to use the new infrastructure.

2006-12-26 22:55  mrward

	* trunk/src, trunk/src/MonoDevelop.XmlEditor/schemas/nant.xsd,
	  trunk/src/MonoDevelop.XmlEditor/schemas/readme.txt: Updated the
	  NAnt 0.85 schema.

2006-12-06 00:49  mrward

	* trunk/TODO,
	  trunk/src/MonoDevelop.XmlEditor/CreateSchemaCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/FormatXmlCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/RunXslTransformCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/ValidateXmlCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorService.cs: Fixed
	  compilation errors due to methods being renamed in MonoDevelop's
	  TaskService class.

2006-10-23 14:53  mrward

	* trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs: Added
	  workaround used in MonoDevelop.SourceEditor to fix a problem with
	  the gtk treeview stealing focus. The workaround changes the focus
	  back to the editor and scrolls to the cursor position again after
	  a short timeout. Without this workaround the XML editor would
	  fail to scroll to the correct line when opening a large xml file
	  for the first time. For example, when selecting the Goto Schema
	  Definition menu item, with the schema file not already open,
	  would fail to scroll the editor so the correct line was
	  displayed.

2006-10-13 20:43  mrward

	* trunk/TODO,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/AttributeGroupReferenceSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/AttributeReferenceSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/AttributeSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/AttributeTypeSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/ElementReferenceSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/ElementReferenceWithPrefixSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/ElementSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/ElementTypeSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/ElementTypeWithPrefixSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/FindSchemaObject/GroupReferenceSelectedTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/MonoDevelop.XmlEditor.Tests.mdp,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/ActiveElementUnderCursorTests.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/AttributeNameTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/AttributeNameUnderCursorTests.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/AttributeValueUnderCursorTests.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/InsideAttributeValueTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/ParentElementPathTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/ElementWithAttributeSchemaTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/FindAttributeFromComplexTypeTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/GetSchemaFromFileNameTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/XmlSchemaNamespaceTests.cs,
	  trunk/src/MonoDevelop.XmlEditor/Commands.cs,
	  trunk/src/MonoDevelop.XmlEditor/GoToSchemaDefinitionCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionDataProvider.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorView.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlParser.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemaCompletionData.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemaCompletionDataCollection.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemaManager.cs: Added Goto
	  Schema Definition menu item. This allows the user to select an
	  element, attribute or attribute value and jump to the
	  corresponding schema definition.

2006-10-13 18:14  mrward

	* trunk/src/MonoDevelop.XmlEditor/XPathQueryWidget.cs: When an
	  XPath query is executed the notebook page showing the results is
	  made the current page.

2006-10-07 19:40  mrward

	* trunk/src/MonoDevelop.XmlEditor.Tests/MonoDevelop.XmlEditor.Tests.mdp,
	  trunk/src/MonoDevelop.XmlEditor.Tests/XPathQuery/XPathHistoryListTests.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/XPathQuery/XPathNamespaceListTests.cs,
	  trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/XPathHistoryList.cs,
	  trunk/src/MonoDevelop.XmlEditor/XPathNamespaceList.cs,
	  trunk/src/MonoDevelop.XmlEditor/XPathQueryPad.cs,
	  trunk/src/MonoDevelop.XmlEditor/XPathQueryPadOptions.cs,
	  trunk/src/MonoDevelop.XmlEditor/XPathQueryWidget.cs: The XPath
	  query window saves the xpath history and any namespaces entered
	  and restores them on restarting MonoDevelop.

2006-10-07 17:30  mrward

	* trunk, trunk/src, trunk/src/MonoDevelop.XmlEditor,
	  trunk/src/MonoDevelop.XmlEditor.Tests,
	  trunk/src/MonoDevelop.XmlEditor/Commands.cs,
	  trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/RemoveXPathHighlightingCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/XPathQueryPad.cs: Added Remove
	  XPath Highlighting menu item which will remove the xpath matches
	  highlighted in the XML editor.

2006-10-07 16:25  mrward

	* trunk/src/MonoDevelop.XmlEditor/XPathQueryWidget.cs: Pressing the
	  return key inside the xpath ComboBoxEntry now executes the xpath
	  query. Added basic pop-up auto-completion to the xpath
	  ComboBoxEntry.

2006-09-27 21:17  mrward

	* trunk/src/MonoDevelop.XmlEditor.Tests/MonoDevelop.XmlEditor.Tests.mdp,
	  trunk/src/MonoDevelop.XmlEditor.Tests/XPathQuery,
	  trunk/src/MonoDevelop.XmlEditor.Tests/XPathQuery/RunXPathQueryTests.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/XPathQuery/XmlNamespaceTests.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/XPathQuery/XmlNamespaceToStringTests.cs,
	  trunk/src/MonoDevelop.XmlEditor/Commands.cs,
	  trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/OpenXPathQueryPadCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/XPathNodeMatch.cs,
	  trunk/src/MonoDevelop.XmlEditor/XPathNodeTextMarker.cs,
	  trunk/src/MonoDevelop.XmlEditor/XPathQueryPad.cs,
	  trunk/src/MonoDevelop.XmlEditor/XPathQueryPad.png,
	  trunk/src/MonoDevelop.XmlEditor/XPathQueryPadOptions.cs,
	  trunk/src/MonoDevelop.XmlEditor/XPathQueryWidget.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditor.glade,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorView.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlNamespace.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemasPanelWidget.cs: Added
	  XPath Query pad. Allows the user to run XPath queries on the
	  active XML document and highlights the results.

2006-09-19 17:48  mrward

	* trunk/src/MonoDevelop.XmlEditor/CreateSchemaCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/FormatXmlCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorService.cs: The XML is
	  checked to see if it is well formed before attempting to create a
	  schema from it. Any errors are displayed in the output window and
	  the task list.

2006-09-19 16:54  mrward

	* trunk/src/MonoDevelop.XmlEditor/XmlParser.cs: Editing an XML file
	  with a url dtd reference (e.g. a .glade file) whilst having no
	  network connection would hang MonoDevelop. Fixed this by setting
	  the XmlResolver to null when reading the xml into the
	  XmlTextReader.

2006-09-09 09:23  mrward

	* trunk/ChangeLog, trunk/configure.in,
	  trunk/src/MonoDevelop.XmlEditor.Tests/AssemblyInfo.cs,
	  trunk/src/MonoDevelop.XmlEditor/AssemblyInfo.cs,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml:
	  Updated version numbers for a snapshot release compatible with
	  MonoDevelop 0.12.

2006-08-22 12:53  mrward

	* trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml:
	  Stetic files (.stetic) are now opened in the XML editor.

2006-08-22 10:27  mrward

	* trunk/configure.in,
	  trunk/src/MonoDevelop.XmlEditor.Tests/MonoDevelop.XmlEditor.Tests.mdp,
	  trunk/src/MonoDevelop.XmlEditor.mds,
	  trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/XmlDisplayBinding.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlFileExtensionCodon.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlFileExtensions.cs: XML Editor
	  now compiled with gmcs. Added DisplayName to XmlDisplayBinding.
	  XmlFileExtensionCodon now has a FileExtension property instead of
	  an Extension property which clashed with the AbstractCodon base
	  class.

2006-05-02 12:10  mrward

	* trunk/src/MonoDevelop.XmlEditor.Tests/MonoDevelop.XmlEditor.Tests.mdp,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/AllElementTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemaCompletionData.cs: XML
	  completion now working for complex types defined inside an xs:all
	  element.

2006-04-17 14:12  mrward

	* trunk/src/MonoDevelop.XmlEditor/XmlSchemaCompletionData.cs: An
	  XML schema is now only compiled the first time it is used in the
	  XML editor. This improves the time taken to display the XML
	  Schema options dialog for the first time by a factor of 4.

2006-04-17 11:44  mrward

	* trunk/TODO,
	  trunk/src/MonoDevelop.XmlEditor.Tests/MonoDevelop.XmlEditor.Tests.mdp,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/InsideAttributeValueTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionDataProvider.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlParser.cs: XML completion
	  window no longer displayed when typing in space characters inside
	  the attribute value.

2006-04-17 11:29  mrward

	* trunk/src/MonoDevelop.XmlEditor.Tests/MonoDevelop.XmlEditor.Tests.mdp,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/AttributeNameTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/AllElementTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/XsdSchemaTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.mds,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemaCompletionData.cs: XML
	  element completion now working for xs:all child elements.

2006-04-15 18:21  mrward

	* trunk/ChangeLog: Updated changelog ready for source code snapshot
	  release for MonoDevelop 0.10

2006-04-12 18:34  mrward

	* trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml:
	  Add-In configuration file changed to support MonoDevelop 0.10

2006-03-19 13:25  mrward

	* trunk/TODO, trunk/src/MonoDevelop.XmlEditor/XmlEditorView.cs:
	  Attribute value completion no longer triggered when pressing keys
	  such as page up, page down and the cursor keys.

2006-03-19 12:37  mrward

	* trunk/TODO, trunk/src/MonoDevelop.XmlEditor/XmlEditorView.cs:
	  Comments no longer get autocompleted when typing in the greater
	  than sign character.

2006-03-19 12:28  mrward

	* trunk/src/MonoDevelop.XmlEditor.Tests/MonoDevelop.XmlEditor.Tests.mdp,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/MissingSchemaElementTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemaCompletionData.cs: Fixed
	  null reference exception that occurred when generated the
	  completion data if the schema referenced an element that was not
	  defined in the schema.

2006-03-19 12:19  mrward

	* trunk/TODO,
	  trunk/src/MonoDevelop.XmlEditor/AssignStylesheetCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/Commands.cs,
	  trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/OpenStylesheetCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/RunXslTransformCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorService.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs,
	  trunk/src/MonoDevelop.XmlEditor/XslOutputViewContent.cs: Added
	  support for running XSL transforms. Changing the schema
	  associated with a file extension now updates any xml files that
	  are currently open.

2006-03-09 16:34  mrward

	* trunk/TODO,
	  trunk/src/MonoDevelop.XmlEditor/ValidateXmlCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorView.cs: Can now indent
	  multiple lines using the tab key.

2006-03-09 14:54  mrward

	* trunk/TODO, trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/ValidateXmlCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorListWindow.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs,
	  trunk/src/MonoDevelop.XmlEditor/schemas/MonoDevelopAddIn.xsd,
	  trunk/src/MonoDevelop.XmlEditor/schemas/readme.txt: Validation of
	  .xsd files is now done using the XmlSchema class which provides
	  better error information. Added a schema for MonoDevelop add-in
	  xml files.

2006-03-08 16:55  mrward

	* trunk/TODO, trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionListWindow.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorListWindow.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs: The
	  completion list now matches strings that contain punctuation
	  characters, for those characters considered valid for xml element
	  names, attribute values and namespaces.

2006-03-08 15:38  mrward

	* trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs: Xml
	  editor now uses the same font as the source editor.

2006-03-06 18:10  mrward

	* trunk/TODO, trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/SourceViewTextIterator.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorView.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs,
	  trunk/src/MonoDevelop.XmlEditor/postbuild.sh: Added support for
	  search/replace and goto line.

2006-03-03 15:29  mrward

	* trunk/src/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/Makefile.am: Xml Editor makefile
	  no longer tries to build the code when running the uninstall
	  target. Fixed incorrect src/Makefile that had been imported.

2006-03-03 15:15  mrward

	* trunk/src/MonoDevelop.XmlEditor.Tests/bin: Removed test assembly
	  binaries.

2006-03-03 15:08  mrward

	* trunk, trunk/AUTHORS, trunk/COPYING, trunk/ChangeLog,
	  trunk/INSTALL, trunk/Makefile.am, trunk/NEWS, trunk/README,
	  trunk/TODO, trunk/autogen.sh, trunk/configure.in, trunk/src,
	  trunk/src/Makefile.am, trunk/src/MonoDevelop.XmlEditor,
	  trunk/src/MonoDevelop.XmlEditor.Tests,
	  trunk/src/MonoDevelop.XmlEditor.Tests/AssemblyInfo.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/CompletionData,
	  trunk/src/MonoDevelop.XmlEditor.Tests/CompletionData/XmlCompletionDataImageTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/CompletionData/XmlCompletionDataStringTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/MonoDevelop.XmlEditor.Tests.mdp,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/ActiveElementStartPathTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/AttributeNameTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/NamespaceDeclarationTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/ParentElementPathTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Parser/QualifiedNameTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Paths,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Paths/NoElementPathTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Paths/SingleElementPathTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Paths/TwoElementPathTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Resources,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Resources/XMLSchema.xsd,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Resources/xhtml1-strict-modified.xsd,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema.Includes,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema.Includes/AttributeGroupRefSchemaIncludeTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema.Includes/TwoElementSchemaIncludeTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema.Uri,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema.Uri/GetUriTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/AbstractElementTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/AttributeAnnotationTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/AttributeGroupRefTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/AttributeRefTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/AttributeValueAnnotationTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/ChildElementAttributesTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/ChoiceTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/ComplexContentExtensionTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/DuplicateElementTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/ElementAnnotationTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/ElementRefAnnotationTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/ElementWithAttributeSchemaTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/EnumAttributeValueTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/ExtensionElementTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/GroupRefCompositorTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/GroupRefTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/NamespaceCompletionTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/NestedAttributeGroupRefTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/NestedChoiceTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/NestedElementSchemaTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/NestedSequenceTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/ReferencedElementsTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/RestrictionElementTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/SchemaTestFixtureBase.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/SequencedChoiceTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/SimpleContentWithAttributeTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/SingleElementSchemaTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/TwoElementSchemaTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/XhtmlStrictSchemaTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Schema/XsdSchemaTestFixture.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Utils,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Utils/ResourceManager.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/Utils/SchemaIncludeTestFixtureHelper.cs,
	  trunk/src/MonoDevelop.XmlEditor.Tests/bin,
	  trunk/src/MonoDevelop.XmlEditor.Tests/bin/Debug,
	  trunk/src/MonoDevelop.XmlEditor.Tests/bin/Debug/MonoDevelop.Projects.Gui.dll,
	  trunk/src/MonoDevelop.XmlEditor.Tests/bin/Debug/MonoDevelop.XmlEditor.Tests.dll,
	  trunk/src/MonoDevelop.XmlEditor.Tests/bin/Debug/MonoDevelop.XmlEditor.Tests.dll.mdb,
	  trunk/src/MonoDevelop.XmlEditor.Tests/bin/Debug/MonoDevelop.XmlEditor.dll,
	  trunk/src/MonoDevelop.XmlEditor.Tests/bin/Debug/MonoDevelop.XmlEditor.dll.mdb,
	  trunk/src/MonoDevelop.XmlEditor.mds,
	  trunk/src/MonoDevelop.XmlEditor/AssemblyInfo.cs,
	  trunk/src/MonoDevelop.XmlEditor/Commands.cs,
	  trunk/src/MonoDevelop.XmlEditor/CreateSchemaCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/EncodedStringWriter.cs,
	  trunk/src/MonoDevelop.XmlEditor/FormatXmlCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/Makefile.am,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.addin.xml,
	  trunk/src/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.mdp,
	  trunk/src/MonoDevelop.XmlEditor/QualifiedName.cs,
	  trunk/src/MonoDevelop.XmlEditor/QualifiedNameCollection.cs,
	  trunk/src/MonoDevelop.XmlEditor/SelectXmlSchemaDialog.cs,
	  trunk/src/MonoDevelop.XmlEditor/ValidateXmlCommand.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionData.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionDataCollection.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionDataProvider.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlCompletionListWindow.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlDisplayBinding.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditor.glade,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorAddInOptions.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorCommandBase.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorOptionsPanel.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorOptionsPanelWidget.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorService.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorView.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorViewContent.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlEditorWindow.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlElementPath.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlFileExtensionCodon.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlFileExtensions.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlParser.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemaAssociation.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemaCompletionData.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemaCompletionDataCollection.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemaManager.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemasPanel.cs,
	  trunk/src/MonoDevelop.XmlEditor/XmlSchemasPanelWidget.cs,
	  trunk/src/MonoDevelop.XmlEditor/postbuild.sh,
	  trunk/src/MonoDevelop.XmlEditor/schemas,
	  trunk/src/MonoDevelop.XmlEditor/schemas/W3C-License.html,
	  trunk/src/MonoDevelop.XmlEditor/schemas/XMLSchema.xsd,
	  trunk/src/MonoDevelop.XmlEditor/schemas/appconfig.xsd,
	  trunk/src/MonoDevelop.XmlEditor/schemas/manifest.xsd,
	  trunk/src/MonoDevelop.XmlEditor/schemas/nant.xsd,
	  trunk/src/MonoDevelop.XmlEditor/schemas/readme.txt,
	  trunk/src/MonoDevelop.XmlEditor/schemas/xslt.xsd: Initial import.

